# std::tr1::rank< typename > Struct Template Reference
[Type Traits]

rank More...

Inheritance diagram for std::tr1::rank< typename >:
[legend]

List of all members.

## Public Types

- typedef integral_constant
  < std::size_t, __v > type
- typedef std::size_t value_type

## Static Public Attributes

- static const std::size_t value

## Detailed Description

### template<typename>
struct std::tr1::rank< typename >

rank

Definition at line 355 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits